/* =========================
   Formular Container
========================= */
.rscontact{
	max-width:950px;
	margin:0 auto;
	padding:10px;
}

/* =========================
   GRID LAYOUT
========================= */
.rscontact fieldset{
	display:grid;
	grid-template-columns:1fr 1fr;
	gap:18px;
}

/* =========================
   Standardfelder
========================= */
.rscontact .control-group{
	width:100%;
}

/* =========================
   Reihenfolge der Felder
========================= */
/* Anrede */
.rscontact .control-group:has([id^="mod_rscontact_salutation"]){
	grid-column:1 / 2;
}

/* Vorname */
.rscontact .control-group:has([id^="mod-rscontact-first-name"]){
	grid-column:1;
}

/* Nachname */
.rscontact .control-group:has([id^="mod-rscontact-last-name"]){
	grid-column:2;
}

/* Email */
.rscontact .control-group:has([id^="mod-rscontact-email"]){
	grid-column:1;
}

/* Adresse */
.rscontact .control-group:has([id^="mod-rscontact-address-1"]){
	grid-column:2;
}

/* Stadt */
.rscontact .control-group:has([id^="mod-rscontact-city"]){
	grid-column:1;
}

/* PLZ */
.rscontact .control-group:has([id^="mod-rscontact-zip"]){
	grid-column:2;
}

/* Telefon */
.rscontact .control-group:has([id^="mod-rscontact-home-phone"]){
	grid-column:1;
}

/* Mobil */
.rscontact .control-group:has([id^="mod-rscontact-mobile-phone"]){
	grid-column:2;
}

/* Betreff */
.rscontact .control-group:has([id^="mod-rscontact-subject"]){
	grid-column:1 / span 2;
}

/* Nachricht */
.rscontact .control-group:has([id^="mod-rscontact-message"]){
	grid-column:1 / span 2;
}

/* =========================
   Button zentrieren
========================= */
.rscontact .controls:has(button){
	grid-column:1 / span 2;
	display:flex;
	justify-content:center;
}

/* =========================
   Inputs Styling
========================= */
.rscontact input,
.rscontact select,
.rscontact textarea{
	width:100%;
	padding:8px 10px;
	border:1px solid #ccc;
	border-radius:3px;
	font-size:15px;
	box-sizing:border-box;
}

/* Nachricht Feld */
.rscontact textarea[id^="mod-rscontact-message"]{
	min-height:150px;
}

/* =========================
   Button
========================= */
.rscontact .btn-primary.submit{
	color:#fff;
	padding:12px 26px;
	border:none;
	border-radius:3px;
	cursor:pointer;
	width: 300px;

	background-image: url(../images/footer_bg-01.jpg);
	background-position: center;
	background-repeat: repeat-x;
	/*	background-size: cover;	*/
}

.rscontact .btn-primary.submit:hover{
	background:#0b5ed7;
	border-radius: 3px;
}

/* =========================
   Fehlermeldungen
========================= */
[id^="mod-rscontact-error-msg"]{
	grid-column:1 / span 2;
	background:#f8d7da;
	color:#842029;
	padding:10px 12px;
	border-radius:6px;
}




